# coding: utf-8
"""
 :copyright: (c) 2011 Philipp Benjamin Köppchen
 :license: GPLv3, see LICENSE for more details.
"""
from __future__ import absolute_import

from functools import wraps
from flask import g, session, redirect, abort, url_for

from ..model import  User
from ..application import app


@app.before_request
def lookup_current_user():
    g.user = User.get_by_openid(session.get("openid"))


def login_required(handler):
    @wraps(handler)
    def wrapper(*args, **kwargs):
        if not session.get('openid'):
            return redirect(url_for('login'))
        else:
            return handler(*args, **kwargs)

    return wrapper
